# Étape 1 : Build avec Maven et Java 17
FROM openjdk:17-jdk-slim


WORKDIR /app

# Copier le .jar compilé depuis l'étape précédente
COPY  ./target/Fiscad-0.0.1-SNAPSHOT.jar fiscad.jar

# Exposer le port configuré
EXPOSE 8282

# Lancer l'application
ENTRYPOINT ["java", "-jar", "fiscad.jar"]